/*------------------------------------------*/
//验证是否为空（长度 范围）
function IsNull(val, min, max) {
        val = val.replace(/(^\s*)|(\s*$)/g, ""); //去掉左右空格
        if (val.length < min || val.length > max) {
            return false;
        }
        else {
            return true;
        }
}
//验证长度(必须大于)
function CheckLength(val, len) {
        val = val.replace(/(^\s*)|(\s*$)/g, ""); //去掉左右空格
        if (val.length < len) {
            return false;
        }
        else {
            return true;
        }
}
//验证长度（等于多少）
function CheckEqualsLeng(val, len) {
    val = val.replace(/(^\s*)|(\s*$)/g, ""); //去掉左右空格
    if (val.length != len) {
        return false;
    }
    else {
        return true;
    }
}
//值相等
function CheckEqualsValue(val1, val2) {
    if (val1 != val2) {
        return false;
    }
    else {
        return true;
    }
}
//是否邮箱
function isEmail(strEmail) {
    if (strEmail.length > 0) { //为空不检查
        if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1)
            return true;
        else
            return false;
    }
    return true;
}
//检查一段字符串是否全由数字组成 
function checkNum(str) {
    return str.match(/\D/) == null
}

//验证是否url
function IsUrl(str_url) {
    var strRegex = "^(https|http|ftp|rtsp|mms)://"
  + "(([0-9a-z_!~*'().&=+$%-]+: )?[0-9a-z_!~*'().&=+$%-]+@)?" //ftp的user@ 
        + "(([0-9]{1,3}.){3}[0-9]{1,3}" // IP形式的URL- 199.194.52.184 
        + "|" // 允许IP和DOMAIN（域名）
        + "([0-9a-z_!~*'()-]+.)*" // 域名- www. 
        + "([0-9a-z][0-9a-z-]{0,61})?[0-9a-z]." // 二级域名 
        + "[a-z]{2,6})" // first level domain- .com or .museum 
        + "(:[0-9]{1,4})?" // 端口- :80 
    var re = new RegExp(strRegex);
    //re.test()
    if (re.test(str_url)) {
       // alert('OK');
        return true;
    } else {
       // alert('no');
        return false;
    }
}